Skip to main content
Interfaces / AutoGuru

Import approvals from AutoGuru

Import approvals from AutoGuru.

POST
/gb/interface/autoguru/import-approvals

Daily booking files are obtained via SFTP using the credentials stored in fm::autoguru_sftp_credentials.

AutoGuru provide a car maintenance, service and tyres booking platform.

This method requires the InterfaceAutoGuru:ImportApprovals permission to be associated with your role.

Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
Audit-User-Idstringheader

(Optional) User Id to use for audit purposes. This header requires the Audit:UserIdOverride permission to be associated with your role.

Maximum string length: 5
Pattern: ^[1-9]{1}[0-9]*$
Time-Zonestringheaderdefault:UTC

Loan application will be processed in the specified timezone.

The timezone value can be given in several formats, none of which are case sensitive:

  • As a named time zone, such as 'Europe/Helsinki', 'US/Eastern', or 'MET'.
  • As a string indicating an offset from UTC of the form [H]H:MM, prefixed with a + or -, such as '+10:00', '-6:00', or '+05:30'. A leading zero can optionally be used for hours values less than 10;
Maximum string length: 100
Pattern: ^[a-zA-Z0-9\/\:\+\-\_]+$

Body

multipart/form-data
datastring

(Optional) Daily booking file to import. If specified, SFTP communication is bypassed.

duplicate_import_check_flagenum<string>default:yes

Perform duplicate gb_imports checksum check

Available options: yes, no
file_name_patternstring

(Optional) File name pattern used to select files on the remote.

If not supplied, value will default to:

/^catche_%CLIENT_ID%_\d{6,8}\.csv$/i

remote_file_pathstring

(Optional) Remote file path.

If omitted, defaults to %CLIENT_ID%/outbox/%ENVIRONMENT%

supplier_idstringrequired

Supplier Id (AutoGuru)

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$

Response

application/vnd.catch-e-api.v1+json

Success

records_importedinteger

The number of records successfully imported

Example: 123